Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP_IOR.pidl File Reference

Pre-compiled IDL source for the IOP module. More...

`#include <orb.idl>`
`#include <OctetSeq.pidl>`

Include dependency graph for IOP_IOR.pidl:

This graph shows which files directly or indirectly include this file:

## Detailed Description

Pre-compiled IDL source for the IOP module.

Id:
  IOP_IOR.pidl,v 1.8 2003/12/30 23:41:17 boris Exp

This file is used to generate IOPC.{h,i,cpp}, using the following command:

tao_idl.exe -o orig -Gp -Gd -Ge 1 -GT -GA -Wb,export_macro=TAO_Export -Wb,export_include=TAO_Export.h -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" IOP_IOR.pidl

and then:

cp orig/IOP_IORC.{h,i,cpp} . cp orig/IOP_IORA.{h,cpp} .

patch < diffs/IOP_IOR.diff

The code left in IOP_IORC.{h,i,cpp} and IOP_IORA.{h,cpp} is ready for use.